

public class Point {

  public float xLoc, yLoc;
  // x= width, y = height

  public float midX = width/2.0;
  public float midY = height/2.0;

  Point(float x, float y){
    xLoc = x;
    yLoc = y;
  }

  float x(){
    return xLoc;
  }

  float y(){
    return yLoc;
  }

  
  void setX(float x){
    xLoc = x;
  }

  void setY(float y){
    yLoc = y;
  }

  String toString(){
    return("x: " + xLoc + "; x: " + yLoc);
  }


  Boolean isOnRight() {
    return xLoc < midX;
  }

  int quadrant(){
    if (xLoc < midX) {
      // In 1 or 3
      if (yLoc < midY) { return 1; } else { return 3; }
    } else {
      // in 2 or 4
      if (yLoc < midY) { return 2; }else { return 4; }
    }
  }

  void assign(Point p){
    xLoc = p.x() + 0.0;
    yLoc = p.y() + 0.0;
  }

}

